<!doctype html>



  


<html class="theme-next mist use-motion" lang="zh-Hans,en,default">
<head>
  <meta charset="UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>



<meta http-equiv="Cache-Control" content="no-transform" />
<meta http-equiv="Cache-Control" content="no-siteapp" />












  
  
    
  
  <link href="//cdn.jsdelivr.net/fancybox/2.1.5/jquery.fancybox.min.css" rel="stylesheet" type="text/css" />




  
  
  
  

  
    
    
  

  
    
      
    

    
  

  

  
    
      
    

    
  

  
    
      
    

    
  

  
    
    
    <link href="//fonts.googleapis.com/css?family=Monda:300,300italic,400,400italic,700,700italic|Roboto Slab:300,300italic,400,400italic,700,700italic|Lobster Two:300,300italic,400,400italic,700,700italic|consolas:300,300italic,400,400italic,700,700italic&subset=latin,latin-ext" rel="stylesheet" type="text/css">
  






  

<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.6.2/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<link href="/css/main.css?v=5.1.0" rel="stylesheet" type="text/css" />


  <meta name="keywords" content="hexo,level100,level200,level300," />





  <link rel="alternate" href="/atom.xml" title="Cloud Howo - 云生指南" type="application/atom+xml" />




  <link rel="shortcut icon" type="image/x-icon" href="/images/favicon.png?v=5.1.0" />






<meta name="description" content="理解相关的概念和技术(100)这个博客是个静态网站。这个博客的所有静态网页都放在Github上，当做代码来管理的。Github可以作为Web服务器来展示这些网页。我另外申请了一个域名www.cloudhowto.tech来指向这个网站。 当你在浏览器里面输入www.cloudhowto.tech来浏览这个网站的时候，要至少经历以下的几步：  域名服务器告诉你的浏览器：”嗨，这个网站实际上是 che">
<meta name="keywords" content="hexo,level100,level200,level300">
<meta property="og:type" content="article">
<meta property="og:title" content="这个博客是怎么生成的">
<meta property="og:url" content="http://www.cloudhowto.tech/blog/2018/05/这个博客是怎么生成的.html">
<meta property="og:site_name" content="Cloud Howo - 云生指南">
<meta property="og:description" content="理解相关的概念和技术(100)这个博客是个静态网站。这个博客的所有静态网页都放在Github上，当做代码来管理的。Github可以作为Web服务器来展示这些网页。我另外申请了一个域名www.cloudhowto.tech来指向这个网站。 当你在浏览器里面输入www.cloudhowto.tech来浏览这个网站的时候，要至少经历以下的几步：  域名服务器告诉你的浏览器：”嗨，这个网站实际上是 che">
<meta property="og:locale" content="zh-Hans">
<meta property="og:updated_time" content="2018-05-06T12:30:17.590Z">
<meta name="twitter:card" content="summary">
<meta name="twitter:title" content="这个博客是怎么生成的">
<meta name="twitter:description" content="理解相关的概念和技术(100)这个博客是个静态网站。这个博客的所有静态网页都放在Github上，当做代码来管理的。Github可以作为Web服务器来展示这些网页。我另外申请了一个域名www.cloudhowto.tech来指向这个网站。 当你在浏览器里面输入www.cloudhowto.tech来浏览这个网站的时候，要至少经历以下的几步：  域名服务器告诉你的浏览器：”嗨，这个网站实际上是 che">



<script type="text/javascript" id="hexo.configurations">
  var NexT = window.NexT || {};
  var CONFIG = {
    root: '/',
    scheme: 'Mist',
    sidebar: {"position":"right","display":"post"},
    fancybox: true,
    motion: true,
    duoshuo: {
      userId: 'undefined',
      author: '作者'
    },
    algolia: {
      applicationID: '',
      apiKey: '',
      indexName: '',
      hits: {"per_page":10},
      labels: {"input_placeholder":"Search for Posts","hits_empty":"We didn't find any results for the search: ${query}","hits_stats":"${hits} results found in ${time} ms"}
    }
  };
</script>



  <link rel="canonical" href="http://www.cloudhowto.tech/blog/2018/05/这个博客是怎么生成的.html"/>





<script src="//cdn.bootcss.com/pace/1.0.2/pace.min.js"></script>
<link href="//cdn.bootcss.com/pace/1.0.2/themes/pink/pace-theme-flash.css" rel="stylesheet">
<style>
    .pace .pace-progress {
        background: #1E92FB; /*进度条颜色*/
        height: 3px;
    }
    .pace .pace-progress-inner {
         box-shadow: 0 0 10px #1E92FB, 0 0 5px     #1E92FB; /*阴影颜色*/
    }
    .pace .pace-activity {
        border-top-color: #1E92FB;    /*上边框颜色*/
        border-left-color: #1E92FB;    /*左边框颜色*/
    }
</style>


  <title> 这个博客是怎么生成的 | Cloud Howo - 云生指南 </title>
</head>

<body itemscope itemtype="http://schema.org/WebPage" lang="zh-Hans">

  










  
  
    
  

  <div class="container one-collumn sidebar-position-right page-post-detail ">
    <div class="headband"></div>

    <header id="header" class="header" itemscope itemtype="http://schema.org/WPHeader">
      <div class="header-inner"><div class="site-meta custom-logo">
  

  <div class="custom-logo-site-title">
    <a href="/"  class="brand" rel="start">
      <span class="logo-line-before"><i></i></span>
      <span class="site-title">Cloud Howo - 云生指南</span>
      <span class="logo-line-after"><i></i></span>
    </a>
  </div>
    
      <h1 class="site-subtitle" itemprop="description">A cloud usage guide for smarts from a dumb.一个笨人给聪明人写的云服务的快速上手指南</h1>
    
</div>

<div class="site-nav-toggle">
  <button>
    <span class="btn-bar"></span>
    <span class="btn-bar"></span>
    <span class="btn-bar"></span>
  </button>
</div>

<nav class="site-nav">
  

  
    <ul id="menu" class="menu">
      
        
        <li class="menu-item menu-item-home">
          <a href="/" rel="section">
            
              <i class="menu-item-icon fa fa-fw fa-home"></i> <br />
            
            首页
          </a>
        </li>
      
        
        <li class="menu-item menu-item-categories">
          <a href="/categories" rel="section">
            
              <i class="menu-item-icon fa fa-fw fa-th"></i> <br />
            
            分类
          </a>
        </li>
      
        
        <li class="menu-item menu-item-archives">
          <a href="/archives" rel="section">
            
              <i class="menu-item-icon fa fa-fw fa-archive"></i> <br />
            
            归档
          </a>
        </li>
      
        
        <li class="menu-item menu-item-tags">
          <a href="/tags" rel="section">
            
              <i class="menu-item-icon fa fa-fw fa-tags"></i> <br />
            
            标签
          </a>
        </li>
      
        
        <li class="menu-item menu-item-about">
          <a href="/about" rel="section">
            
              <i class="menu-item-icon fa fa-fw fa-user"></i> <br />
            
            关于
          </a>
        </li>
      

      
        <li class="menu-item menu-item-search">
          
            <a href="javascript:;" class="popup-trigger">
          
            
              <i class="menu-item-icon fa fa-search fa-fw"></i> <br />
            
            搜索
          </a>
        </li>
      
    </ul>
  

  
    <div class="site-search">
      
  <div class="popup">
 <span class="search-icon fa fa-search"></span>
 <input type="text" id="local-search-input">
 <div id="local-search-result"></div>
 <span class="popup-btn-close">close</span>
</div>


    </div>
  
</nav>



 </div>
    </header>

    <main id="main" class="main">
      <div class="main-inner">
        <div class="content-wrap">
          <div id="content" class="content">
            

  <div id="posts" class="posts-expand">
    

  

  
  
  

  <article class="post post-type-normal " itemscope itemtype="http://schema.org/Article">
  <link itemprop="mainEntityOfPage" href="http://www.cloudhowto.tech/blog/2018/05/这个博客是怎么生成的.html">

  <span style="display:none" itemprop="author" itemscope itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Cheney Yan 闫志成">
    <meta itemprop="description" content="">
    <meta itemprop="image" content="/images/cheney.yan.jpeg">
  </span>

  <span style="display:none" itemprop="publisher" itemscope itemtype="http://schema.org/Organization">
    <meta itemprop="name" content="Cloud Howo - 云生指南">
    <span style="display:none" itemprop="logo" itemscope itemtype="http://schema.org/ImageObject">
      <img style="display:none;" itemprop="url image" alt="Cloud Howo - 云生指南" src="/images/cheney.yan.jpeg">
    </span>
  </span>

    
      <header class="post-header">

        
        
          <h2 class="post-title" itemprop="name headline">
            
            
              
                这个博客是怎么生成的
              
            
          </h2>
        

        <div class="post-meta">
          <span class="post-time">
            
              <span class="post-meta-item-icon">
                <i class="fa fa-calendar-o"></i>
              </span>
              
                <span class="post-meta-item-text">发表于</span>
              
              <time title="Post created" itemprop="dateCreated datePublished" datetime="2018-05-06T20:18:00+10:00">
                2018-05-06
              </time>
            

            

            
          </span>

          
            <span class="post-category" >
            
              <span class="post-meta-divider">|</span>
            
              <span class="post-meta-item-icon">
                <i class="fa fa-folder-o"></i>
              </span>
              
                <span class="post-meta-item-text">分类于</span>
              
              
                <span itemprop="about" itemscope itemtype="http://schema.org/Thing">
                  <a href="/categories/技术/" itemprop="url" rel="index">
                    <span itemprop="name">技术</span>
                  </a>
                </span>

                
                
                  ， 
                
              
                <span itemprop="about" itemscope itemtype="http://schema.org/Thing">
                  <a href="/categories/技术/tech/" itemprop="url" rel="index">
                    <span itemprop="name">tech</span>
                  </a>
                </span>

                
                
              
            </span>
          

          
            
          

          
		  
			 
          
          
		   
          

		  
            <div class="post-wordcount">
              
                <span class="post-meta-item-icon">
                  <i class="fa fa-file-word-o"></i>
                </span>
                
                  <span class="post-meta-item-text">字数统计</span>
                
                <span title="字数统计">
                  
                </span>
              

              
                <span class="post-meta-divider">|</span>
              

              
                <span class="post-meta-item-icon">
                  <i class="fa fa-clock-o"></i>
                </span>
                
                  <span class="post-meta-item-text">阅读时长</span>
                
                <span title="阅读时长">
                  
                </span>
              
            </div>
          
		  
          
 
        


        </div>
      </header>
    


    <div class="post-body" itemprop="articleBody">

      
      

      
        <h1 id="理解相关的概念和技术-100"><a href="#理解相关的概念和技术-100" class="headerlink" title="理解相关的概念和技术(100)"></a>理解相关的概念和技术(100)</h1><p>这个博客是个<strong>静态网站</strong>。<br>这个博客的所有静态网页都放在<strong>Github</strong>上，当做代码来管理的。Github可以作为Web服务器来展示这些网页。<br>我另外申请了一个<strong>域名</strong><a href="http://www.cloudhowto.tech来指向这个网站。" target="_blank" rel="noopener">www.cloudhowto.tech来指向这个网站。</a></p>
<p>当你在浏览器里面输入<code>www.cloudhowto.tech</code>来浏览这个网站的时候，要至少经历以下的几步：</p>
<ol>
<li><strong>域名服务器</strong>告诉你的浏览器：”嗨，这个网站实际上是 <code>cheney-yan-sirca.gihtub.io</code>“</li>
<li>你的浏览器又跑向了<code>cheney-yan-sirca.github.io</code>. 但是，这个对你来说，是感觉不到的。</li>
<li>你的浏览器开始向<code>cheney-yan-sirca.github.io</code>申请内容。</li>
<li><code>github.io</code>实际上是GitHub的服务器，GitHub看到域名是<code>cheney-yan-sirca.github.io</code>,意识到这个是一个托管的网站，于是依据一定的规则，开始从我的账户里面调出相应的文件传送给浏览器。</li>
<li>浏览器根据服务器返回的内容，和用户在网页上的点击，持续不断地向GitHub要求各种不同的文件。GitHub继续以相同的方式按照要求返回文件。在这个过程中，GitHub只会按照要求返回文件，而不会进行任何计算。如果文件不存在，就直接告诉浏览器，文件不存在。</li>
<li>我如果有新的帖子要发出来，我需要使用一定的工具更新<code>cheney-yan-sirca.gihtub.io</code>。这个过程不单单包括新的帖子要上载，还有很多的更新。比如帖子的数量等统计信息也肯定更新啦，所以涉及到一系列的文件更新。</li>
<li>只有这一系列文件更新完成以后，你再继续浏览，就可以看到新的页面，以及更新以后的所有统计信息。</li>
</ol>
<h1 id="如果你也想做一个相同的网站-200"><a href="#如果你也想做一个相同的网站-200" class="headerlink" title="如果你也想做一个相同的网站 (200)"></a>如果你也想做一个相同的网站 (200)</h1><p>我对于网站的制作（行话叫做前台技术）也只是在200水平。实际上，愿意花一些时间读文档，你会很快进入到300的水平。但是我是个笨人，所以我选择呆在200水平，至于200-300之间的差距，我用Google来弥补。最后，博客的内容最重要，不是吗？</p>
<h2 id="Hexo"><a href="#Hexo" class="headerlink" title="Hexo"></a>Hexo</h2><p><strong>Hexo</strong>是一个基于NodeJs的静态网站开发工具。它的安装用npm就可以了。我用的是Mac, 所以用<strong>homebrew</strong>来进行安装。至于怎么安装Homebrew, <a href="https://www.jianshu.com/p/4e80b42823d5" target="_blank" rel="noopener">这里</a>有一篇很不错的介绍。</p>
<figure class="highlight bash"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">brew install node</span><br><span class="line"><span class="comment"># 以上的命令会安装node以及npm.</span></span><br><span class="line">npm install -g hexo-cli hexo</span><br><span class="line"><span class="comment"># 以上的命令会安装hexo命令行和hexo包到全局的node模块里面。这样你不论在哪个目录都可以运行 hexo 命令了</span></span><br></pre></td></tr></table></figure>
<h2 id="初始化一个博客"><a href="#初始化一个博客" class="headerlink" title="初始化一个博客"></a>初始化一个博客</h2><figure class="highlight bash"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">hexo init blog <span class="comment"># 这个会在当前目录下建立一个叫 blog 的目录。所有博客用到的内容都在里面！</span></span><br><span class="line"><span class="built_in">cd</span> blog</span><br><span class="line">npm install <span class="comment"># hexo已经为你建立起了很多初始的文件。但是这些文件不包括很多实用到的node模块。这个命令会安装这些所有需要的模块</span></span><br><span class="line">hexo serve <span class="comment"># 在现有的机器上跑一下这个网站如何？ 这个命令的输出会告诉你 要访问 "http://localhost:4000" 来看看这个初始的博客。嗯，里面已经有一个初始文章了</span></span><br></pre></td></tr></table></figure>
<h2 id="添加新的博文"><a href="#添加新的博文" class="headerlink" title="添加新的博文"></a>添加新的博文</h2><p>Hexo有个贴心的缺省设定，即监视目录（blog）的变化并且实时更新，这样你可以随时修改源文件，随时从浏览器里面观看更新的内容。不过这个功能或许还是有些不完全，当涉及到框架性的更新的时候，也许Hexo不会更新。这个时候，只需要退出并重新运行 <code>hexo serve</code>就可以了。<br><figure class="highlight haxe"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">hexo <span class="keyword">new</span> <span class="type">post</span> <span class="string">"我的第一篇博文"</span></span><br></pre></td></tr></table></figure></p>
<p>然后刷新网页，是不是这个博客已经出现了？</p>
<h2 id="修改新的博文"><a href="#修改新的博文" class="headerlink" title="修改新的博文"></a>修改新的博文</h2><p>Hexo是一个方便的博客系统。你只需要用<strong>Markdown</strong>文法去添加新的内容。至于新网页如何在整个页面中显示，整个网页如何建立所以，Hexo会帮你搞定。你只需要关注内容就行了。刚才你建立的博文，实际上是一个Markdown文件。文件的相对路径是<code>&lt;blog&gt;/source/_posts/我的第一篇博文.md</code>。实际上，以后运行<code>hexo new post</code>命令，都会陆续新建新的类似文件。<br>我们看看文件的内容吧：<br><figure class="highlight markdown"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">---</span><br><span class="line">title: 我的第一篇博文</span><br><span class="line">date: 2018-05-06 20:18</span><br><span class="line">tags:</span><br><span class="line">category:</span><br><span class="line">---</span><br></pre></td></tr></table></figure></p>
<p>添加你的内容吧！如果不熟悉<code>Makrdown</code>文法，可以参看<a href="https://wizardforcel.gitbooks.io/markdown-simple-world/2.html" target="_blank" rel="noopener">这个指南</a>。记得不断刷新页面，看看你的文章是不是符合你的要求。</p>
<h2 id="写完了，然后呢？"><a href="#写完了，然后呢？" class="headerlink" title="写完了，然后呢？"></a>写完了，然后呢？</h2><p>当你写完你的博文，通过浏览器查看，觉得很满意，那么就是发布的时间了。<br><figure class="highlight bash"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">hexo g</span><br></pre></td></tr></table></figure></p>
<p>以上的命令会生成一个目录<code>public</code>,所有的需要的内容都在下面了。你只需要把这个网站托管到某给服务器上就好啦！或者你满足于自我欣赏，就放在你的硬盘就好！<br>记得你所有的关键内容，都是那些你创建并编辑的Markdown文件，都在<code>source/_posts/</code>目录下面。记得备份哦。其他文件，如果丢了，通过以上的简单几个命令都可以重建回来。但是你自己的心血，自己要保存好哦。</p>
<h1 id="我的一些定制化（300）"><a href="#我的一些定制化（300）" class="headerlink" title="我的一些定制化（300）"></a>我的一些定制化（300）</h1><p>当然，我还是花了一点时间定制我的这个博客，并让这个工作流程更加符合我的习惯。</p>
<h2 id="Theme-主题"><a href="#Theme-主题" class="headerlink" title="Theme 主题"></a>Theme 主题</h2><p>我花了一些时间找好看的主题，其中有不少不错的博客介绍了主题。但是最后还是采用了一个定制的Next主题. <a href="https://github.com/EZLippi/hexo-theme" target="_blank" rel="noopener">主题在此</a> 。一般来说应用主题很简单，只需要把主题拷贝到themes目录下，并更新主目录下的<code>_config.yaml</code>的<code>theme</code>就可以了。</p>
<h2 id="Markdown文件的编辑"><a href="#Markdown文件的编辑" class="headerlink" title="Markdown文件的编辑"></a>Markdown文件的编辑</h2><p>我用Bear，有时候也用MWeb。都是比较不错的工具。</p>
<h2 id="GitHub发布"><a href="#GitHub发布" class="headerlink" title="GitHub发布"></a>GitHub发布</h2><p>我在博客是在GihHub发布的。实际上有个插件<code>hexo-deployer-git</code>可以帮助你发布到GitHub上，每次只需要运行 <code>hexo deploy</code>即可了。<br>不过GitHub仍然抱怨我的域名服务商无法提供HTTPS服务。所以看你怎样考虑加密了。一个便宜的方法是用AWS CloudFront + AWS S3。由于AWS提供为期一年的域名证书(相当于Lets Encrypt类的服务），可以用全套亚马逊的服务来做。个人博客的话，一个月估计不会超过1美元。</p>
<h1 id="后记"><a href="#后记" class="headerlink" title="后记"></a>后记</h1><p>从申请域名，到开始搭博客，到最后写第一篇完成，总共花了10个小时吧。基本上是大半个周末。仔细想想，时间耗费最多和最不值的应该是挑选和应用主题。很多主题都很漂亮，但是一套用，就觉得还是总觉得哪里差了点什么。另外，NodeJs世界的特性就是发展的太快了，以至于经常出现版本之间的兼容性问题。套用的主题，有很多会出现编译错误。最后还是回到了大家最常用的Next主题。感觉和以前折腾各种版本的Linux一样，最后还是回到了最常用的那两三个。理由都是一样的：用的人多，测试的人也更多，所以问题少；即使出现问题，基本上网上也有答案。<br>10个小时以后，这个博客不如意的地方还是有不少的，比如搜索不能用中文，没有https支持，等等。不过先放在一边吧。<br><strong>始终要记得，我们还有生活。</strong></p>

      
    </div>

    <div>
      
        

      
    </div>
  
        <div class="post-tags">
          
            <a href="/tags/hexo/" rel="tag"># hexo</a>
          
            <a href="/tags/level100/" rel="tag"># level100</a>
          
            <a href="/tags/level200/" rel="tag"># level200</a>
          
            <a href="/tags/level300/" rel="tag"># level300</a>
          
        </div>
      


    <div>
      
        

      
    </div>


    <footer class="post-footer">
        
     <div>    
      
      <ul class="post-copyright">
         <li class="post-copyright-link">
          <strong>本文作者：</strong>
          <a href="/" title="欢迎访问 Cheney Yan 闫志成 的个人博客">Cheney Yan 闫志成</a>
        </li>

        <li class="post-copyright-link">
          <strong>本文标题：</strong>
          <a href="http://www.cloudhowto.tech/blog/2018/05/这个博客是怎么生成的.html" title="这个博客是怎么生成的">这个博客是怎么生成的</a>
        </li>

        <li class="post-copyright-link">
          <strong>本文链接：</strong>
          <a href="http://www.cloudhowto.tech/blog/2018/05/这个博客是怎么生成的.html" title="这个博客是怎么生成的">http://www.cloudhowto.tech/blog/2018/05/这个博客是怎么生成的.html</a>
        </li>

        <li class="post-copyright-date">
            <strong>发布时间：</strong>2018年5月6日 - 20时05分
        </li>  

        <li class="post-copyright-license">
          <strong>版权声明： </strong>
          本文由 Cheney Yan 闫志成 原创，采用 <a href="https://creativecommons.org/licenses/by-nc-nd/4.0/deed.zh" rel="license" target="_blank">保留署名-非商业性使用-禁止演绎 4.0-国际许可协议</a> </br>转载请保留以上声明信息！
        </li>
      </ul>
    
  </div>  
      

      
      
    </footer>
  </article>



    <div class="post-spread">
      
    </div>
  </div>


          </div>
          


          
  <div class="comments" id="comments">
    
  </div>


        </div>
        
          
  
  <div class="sidebar-toggle">
    <div class="sidebar-toggle-line-wrap">
      <span class="sidebar-toggle-line sidebar-toggle-line-first"></span>
      <span class="sidebar-toggle-line sidebar-toggle-line-middle"></span>
      <span class="sidebar-toggle-line sidebar-toggle-line-last"></span>
    </div>
  </div>

  <aside id="sidebar" class="sidebar">
    <div class="sidebar-inner">

      

      
        <ul class="sidebar-nav motion-element">
          <li class="sidebar-nav-toc sidebar-nav-active" data-target="post-toc-wrap" >
            文章目录
          </li>
          <li class="sidebar-nav-overview" data-target="site-overview">
            站点概览
          </li>
        </ul>
      

      <section class="site-overview sidebar-panel">
        <div class="site-author motion-element" itemprop="author" itemscope itemtype="http://schema.org/Person">
          <img class="site-author-image" itemprop="image"
               src="/images/cheney.yan.jpeg"
               alt="Cheney Yan 闫志成" />
          <p class="site-author-name" itemprop="name">Cheney Yan 闫志成</p>
          <p class="site-description motion-element" itemprop="description">这是一个笨人写给聪明人的云服务介绍，快速上手指南，以及一些比较油腻但是真挺好用的工具。让你干事省力，服务省钱，最后省点时间给你自己和家人。This is a Cloud introduction tool written by a dumb but facing smarts. The aim is to supply ideas and dirty but convecient tools for you, so you can save money and time, so you will finally have more time for yourself and your family.</p>
        </div>
        <nav class="site-state motion-element">
        
          
            <div class="site-state-item site-state-posts">
              <a href="/archives">
                <span class="site-state-item-count">1</span>
                <span class="site-state-item-name">日志</span>
              </a>
            </div>
          

          
            <div class="site-state-item site-state-categories">
              <a href="/categories">
                <span class="site-state-item-count">2</span>
                <span class="site-state-item-name">分类</span>
              </a>
            </div>
          

          
            <div class="site-state-item site-state-tags">
              <a href="/tags">
                <span class="site-state-item-count">4</span>
                <span class="site-state-item-name">标签</span>
              </a>
            </div>
          

        </nav>

        
          <div class="feed-link motion-element">
            <a href="/atom.xml" rel="alternate">
              <i class="fa fa-rss"></i>
              RSS
            </a>
          </div>
        

        <div class="links-of-author motion-element">
          
        </div>

        
        

        
        

        


      </section>

      
      <!--noindex-->
        <section class="post-toc-wrap motion-element sidebar-panel sidebar-panel-active">
          <div class="post-toc">

            
              
            

            
              <div class="post-toc-content"><ol class="nav"><li class="nav-item nav-level-1"><a class="nav-link" href="#理解相关的概念和技术-100"><span class="nav-number">1.</span> <span class="nav-text">理解相关的概念和技术(100)</span></a></li><li class="nav-item nav-level-1"><a class="nav-link" href="#如果你也想做一个相同的网站-200"><span class="nav-number">2.</span> <span class="nav-text">如果你也想做一个相同的网站 (200)</span></a><ol class="nav-child"><li class="nav-item nav-level-2"><a class="nav-link" href="#Hexo"><span class="nav-number">2.1.</span> <span class="nav-text">Hexo</span></a></li><li class="nav-item nav-level-2"><a class="nav-link" href="#初始化一个博客"><span class="nav-number">2.2.</span> <span class="nav-text">初始化一个博客</span></a></li><li class="nav-item nav-level-2"><a class="nav-link" href="#添加新的博文"><span class="nav-number">2.3.</span> <span class="nav-text">添加新的博文</span></a></li><li class="nav-item nav-level-2"><a class="nav-link" href="#修改新的博文"><span class="nav-number">2.4.</span> <span class="nav-text">修改新的博文</span></a></li><li class="nav-item nav-level-2"><a class="nav-link" href="#写完了，然后呢？"><span class="nav-number">2.5.</span> <span class="nav-text">写完了，然后呢？</span></a></li></ol></li><li class="nav-item nav-level-1"><a class="nav-link" href="#我的一些定制化（300）"><span class="nav-number">3.</span> <span class="nav-text">我的一些定制化（300）</span></a><ol class="nav-child"><li class="nav-item nav-level-2"><a class="nav-link" href="#Theme-主题"><span class="nav-number">3.1.</span> <span class="nav-text">Theme 主题</span></a></li><li class="nav-item nav-level-2"><a class="nav-link" href="#Markdown文件的编辑"><span class="nav-number">3.2.</span> <span class="nav-text">Markdown文件的编辑</span></a></li><li class="nav-item nav-level-2"><a class="nav-link" href="#GitHub发布"><span class="nav-number">3.3.</span> <span class="nav-text">GitHub发布</span></a></li></ol></li><li class="nav-item nav-level-1"><a class="nav-link" href="#后记"><span class="nav-number">4.</span> <span class="nav-text">后记</span></a></li></ol></div>
            

          </div>
        </section>
      <!--/noindex-->
      

    </div>
  </aside>


        
      </div>
    </main>

    <footer id="footer" class="footer">
      <div class="footer-inner">
        <div class="copyright" >
  
  &copy; 
  <span itemprop="copyrightYear">2018</span>
  <span class="with-love">
    <i class="fa fa-"></i>
  </span>
  <span class="author" itemprop="copyrightHolder">Cheney Yan 闫志成</span>
</div>


        

        
      </div>
    </footer>

    <div class="back-to-top">
      <i class="fa fa-arrow-up"></i>
    </div>
  </div>

  

<script type="text/javascript">
  if (Object.prototype.toString.call(window.Promise) !== '[object Function]') {
    window.Promise = null;
  }
</script>









  




  
  <script type="text/javascript" src="//cdn.jsdelivr.net/jquery/2.1.3/jquery.min.js"></script>

  
  <script type="text/javascript" src="//cdn.jsdelivr.net/fastclick/1.0.6/fastclick.min.js"></script>

  
  <script type="text/javascript" src="//cdn.jsdelivr.net/jquery.lazyload/1.9.3/jquery.lazyload.min.js"></script>

  
  <script type="text/javascript" src="//cdn.jsdelivr.net/velocity/1.2.3/velocity.min.js"></script>

  
  <script type="text/javascript" src="//cdn.jsdelivr.net/velocity/1.2.3/velocity.ui.min.js"></script>

  
  <script type="text/javascript" src="//cdn.jsdelivr.net/fancybox/2.1.5/jquery.fancybox.pack.js"></script>


  


  <script type="text/javascript" src="/js/src/utils.js?v=5.1.0"></script>

  <script type="text/javascript" src="/js/src/motion.js?v=5.1.0"></script>



  
  

  
  <script type="text/javascript" src="/js/src/scrollspy.js?v=5.1.0"></script>
<script type="text/javascript" src="/js/src/post-details.js?v=5.1.0"></script>



  


  <script type="text/javascript" src="/js/src/bootstrap.js?v=5.1.0"></script>



  



  




	





  





  

  
      <!-- UY BEGIN -->
      <script type="text/javascript" src="http://v2.uyan.cc/code/uyan.js?uid="></script>
      <!-- UY END -->
  



  


  
  
  <script type="text/javascript">
    // Popup Window;
    var isfetched = false;
    // Search DB path;
    var search_path = "search.xml";
    if (search_path.length == 0) {
      search_path = "search.xml";
    }
    var path = "/" + search_path;
    // monitor main search box;

    function proceedsearch() {
      $("body").append('<div class="popoverlay">').css('overflow', 'hidden');
      $('.popup').toggle();
    }
    // search function;
    var searchFunc = function(path, search_id, content_id) {
      'use strict';
      $.ajax({
        url: path,
        dataType: "xml",
        async: true,
        success: function( xmlResponse ) {
          // get the contents from search data
          isfetched = true;
          $('.popup').detach().appendTo('.header-inner');
          var datas = $( "entry", xmlResponse ).map(function() {
            return {
              title: $( "title", this ).text(),
              content: $("content",this).text(),
              url: $( "url" , this).text()
            };
          }).get();
          var $input = document.getElementById(search_id);
          var $resultContent = document.getElementById(content_id);
          $input.addEventListener('input', function(){
            var matchcounts = 0;
            var str='<ul class=\"search-result-list\">';
            var keywords = this.value.trim().toLowerCase().split(/[\s\-]+/);
            $resultContent.innerHTML = "";
            if (this.value.trim().length > 1) {
              // perform local searching
              datas.forEach(function(data) {
                var isMatch = false;
                var content_index = [];
                var data_title = data.title.trim().toLowerCase();
                var data_content = data.content.trim().replace(/<[^>]+>/g,"").toLowerCase();
                var data_url = decodeURIComponent(data.url);
                var index_title = -1;
                var index_content = -1;
                var first_occur = -1;
                // only match artiles with not empty titles and contents
                if(data_title != '') {
                  keywords.forEach(function(keyword, i) {
                    index_title = data_title.indexOf(keyword);
                    index_content = data_content.indexOf(keyword);
                    if( index_title >= 0 || index_content >= 0 ){
                      isMatch = true;
                      if (i == 0) {
                        first_occur = index_content;
                      }
                    }

                  });
                }
                // show search results
                if (isMatch) {
                  matchcounts += 1;
                  str += "<li><a href='"+ data_url +"' class='search-result-title'>"+ data_title +"</a>";
                  var content = data.content.trim().replace(/<[^>]+>/g,"");
                  if (first_occur >= 0) {
                    // cut out 100 characters
                    var start = first_occur - 20;
                    var end = first_occur + 80;
                    if(start < 0){
                      start = 0;
                    }
                    if(start == 0){
                      end = 50;
                    }
                    if(end > content.length){
                      end = content.length;
                    }
                    var match_content = content.substring(start, end);
                    // highlight all keywords
                    keywords.forEach(function(keyword){
                      var regS = new RegExp(keyword, "gi");
                      match_content = match_content.replace(regS, "<b class=\"search-keyword\">"+keyword+"</b>");
                    });

                    str += "<p class=\"search-result\">" + match_content +"...</p>"
                  }
                  str += "</li>";
                }
              })};
            str += "</ul>";
            if (matchcounts == 0) { str = '<div id="no-result"><i class="fa fa-frown-o fa-5x" /></div>' }
            if (keywords == "") { str = '<div id="no-result"><i class="fa fa-search fa-5x" /></div>' }
            $resultContent.innerHTML = str;
          });
          proceedsearch();
        }
      });}

    // handle and trigger popup window;
    $('.popup-trigger').click(function(e) {
      e.stopPropagation();
      if (isfetched == false) {
        searchFunc(path, 'local-search-input', 'local-search-result');
      } else {
        proceedsearch();
      };
    });

    $('.popup-btn-close').click(function(e){
      $('.popup').hide();
      $(".popoverlay").remove();
      $('body').css('overflow', '');
    });
    $('.popup').click(function(e){
      e.stopPropagation();
    });
  </script>


  

  

  

  


</body>
</html>
